

#include "qhy5iii168base.h"
#include "config.h"
#ifndef QHY168_C_DEF
#define QHY168_C_DEF


/**
 * @brief QHY168C class define
 *
 * include all functions for qhy168c
 */
class QHY168C:public QHY5III168BASE
{
public:
  QHY168C();
  ~QHY168C();

  /**
   @fn uint32_t IsChipHasFunction(CONTROL_ID id)
   @brief check the camera has the function or not
   @param id function id
   @return
   HAVE return QHYCCD_HAVE \n
   NOT HAVE return QHYCCD_NOTHAVE
   */
  uint32_t IsChipHasFunction(CONTROL_ID id);

  uint32_t GetChipMemoryLength();
};
#endif
