
#include "qhy5iii178base.h"
#include "config.h"
#ifndef QHY5III178C_DEF
#define QHY5III178C_DEF


/**
 * @brief QHY5III178C class define
 *
 * include all functions for qhy5iii178c
 */
class QHY5III178C:public QHY5III178BASE
{
public:
  QHY5III178C();
  ~QHY5III178C();

  /**
   @fn uint32_t IsChipHasFunction(CONTROL_ID id)
   @brief check the camera has the function or not
   @param id function id
   @return
   HAVE return QHYCCD_HAVE \n
   NOT HAVE return QHYCCD_NOTHAVE
   */
  uint32_t IsChipHasFunction(CONTROL_ID id);

};
#endif
