
#include "qhy5iii290base.h"
#include "config.h"
#ifndef QHY5III290M_DEF
#define QHY5III290M_DEF


/**
 * @brief QHY5III290M class define
 *
 * include all functions for qhy5iii290m
 */
class QHY5III290M:public QHY5III290BASE
{
public:
  QHY5III290M();
  ~QHY5III290M();

  /**
   @fn uint32_t IsChipHasFunction(CONTROL_ID id)
   @brief check the camera has the function or not
   @param id function id
   @return
   HAVE return QHYCCD_HAVE \n
   NOT HAVE return QHYCCD_NOTHAVE
   */
  uint32_t IsChipHasFunction(CONTROL_ID id);

};
#endif
