

#include "qhy5iii165base.h"
#include "config.h"
#ifndef QHY165_C_DEF
#define QHY165_C_DEF


/**
 * @brief QHY165C class define
 *
 * include all functions for qhy165c
 */
class QHY165C:public QHY5III165BASE
{
public:
  QHY165C();
  ~QHY165C();

  /**
   @fn uint32_t IsChipHasFunction(CONTROL_ID id)
   @brief check the camera has the function or not
   @param id function id
   @return
   HAVE return QHYCCD_HAVE \n
   NOT HAVE return QHYCCD_NOTHAVE
   */
  uint32_t IsChipHasFunction(CONTROL_ID id);
};
#endif
