
#include "qhy5iii247base.h"
#include "config.h"
#ifndef QHY247_C_DEF
#define QHY247_C_DEF


/**
 * @brief QHY247C class define
 *
 * include all functions for qhy247c
 */
class QHY247C:public QHY5III247BASE
{
public:
  QHY247C();
  ~QHY247C();

  /**
   @fn uint32_t IsChipHasFunction(CONTROL_ID id)
   @brief check the camera has the function or not
   @param id function id
   @return
   HAVE return QHYCCD_HAVE \n
   NOT HAVE return QHYCCD_NOTHAVE
   */
  uint32_t IsChipHasFunction(CONTROL_ID id);

  uint32_t GetChipMemoryLength();
};
#endif
