
#include "config.h"
#include "qhy5iiicoolbase.h"

#ifndef QHY5IIIDDRCOOLBASE_DEF
#define QHY5IIIDDRCOOLBASE_DEF


/**
 * @brief QHY5IIIDDRCOOLBASE class define
 *
 * include all functions for qhy5iiiddrcoolbase
 */
class QHY5IIIDDRCOOLBASE:public QHY5IIICOOLBASE
{
public:
  QHY5IIIDDRCOOLBASE();
  virtual ~QHY5IIIDDRCOOLBASE();

  uint32_t DisConnectCamera(qhyccd_handle *h);

  uint32_t BeginSingleExposure(qhyccd_handle *h);

  uint32_t CancelExposing(qhyccd_handle *h);

  uint32_t CancelExposingAndReadout(qhyccd_handle *h);

  uint32_t BeginLiveExposure(qhyccd_handle *h);

  uint32_t StopLiveExposure(qhyccd_handle *h);

  double pllratio; //!< inter pll ratio

  uint32_t hmax_ref,vmax_ref;
  uint32_t hmax,vmax;
  uint16_t vwinpos,vwidcut;
  uint32_t patchvnumberstart;
};
#endif
