
#include "config.h"
#include "qhybase.h"
#include "stdint.h"
#ifndef  _VIRTUALWDM_H_
#define _VIRTUALWDM_H_
#if defined (_WIN32)

EXPORTC uint32_t STDCALL VirutalCamInit(qhyccd_handle *h);

EXPORTC uint32_t STDCALL VirualCamRelease(qhyccd_handle *h);

EXPORTC uint32_t STDCALL VirualCamPlayVideoDevice(qhyccd_handle *h,int32_t no);

EXPORTC uint32_t STDCALL VirualCamPlayBuffer(qhyccd_handle *h,
    uint8_t *buffer,uint32_t width,uint32_t height);

EXPORTC uint32_t STDCALL VirualCamAddOverlay(qhyccd_handle *h,
    bool on,uint8_t *buffer,uint32_t width,uint32_t height);

EXPORTC uint32_t STDCALL VirualCamAddText(qhyccd_handle *h,
    bool on,char *oltext,char *ftname,int32_t ftsize,int32_t ftstyle,int32_t ftcolor,int32_t bkcolor,int32_t px,int32_t py,int32_t bktype,int32_t whichone);

EXPORTC uint32_t STDCALL VirualCamStopPlay(qhyccd_handle *h);

EXPORTC uint32_t STDCALL VirualCamChnageDefaultSettings(qhyccd_handle *h,
    uint32_t fps,uint8_t videosize);

EXPORTC uint32_t STDCALL VirtualCamGet_CurrentVideoDuration(qhyccd_handle *h,
    uint32_t *duration);

EXPORTC uint32_t STDCALL VirtualCamGet_CurrentVideoPosition(qhyccd_handle *h,
    uint32_t *position);

EXPORTC uint32_t STDCALL VirtualCamGet_IsPlaying(qhyccd_handle *h,
    bool *isplaying);

#endif
#endif

